org.apache.uima.fit.factory

## Class CapabilityFactory

- java.lang.Object
- - org.apache.uima.fit.factory.CapabilityFactory

-     public final class CapabilityFactory
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.uima.resource.metadata.Capability` | `createCapability(Class<?> componentClass)` Creates a single capability consisting of the information in the `SofaCapability` and `TypeCapability` annotations for the class.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createCapability

          public static org.apache.uima.resource.metadata.Capability createCapability(Class<?> componentClass)

      Creates a single capability consisting of the information in the `SofaCapability` and `TypeCapability` annotations for the class.
      Parameters:
        `componentClass` - a class with capability annotations
      Returns:
        capabilities extracted from the class

Copyright © 2012–2020 The Apache Software Foundation. All rights reserved.